﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class MainForm : Form
    {
        private List<BallObject> objects = new List<BallObject>();
        public MainForm()
        {
            this.InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            BallObject obj = new BallObject();
            obj.InitRandomSpeed();
            this.objects.Add(obj);
        }

        private void pictureBox1_Paint(object sender, PaintEventArgs e)
        {
            for (int i = 0; i < this.objects.Count; i++)
            {
                this.objects[i].Draw(e.Graphics);
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            for (int i = 0; i < this.objects.Count; i++)
            {
                this.objects[i].Step(2);
                this.objects[i].CheckBorder(this.pictureBox1.ClientRectangle);
            }

            for (int i = 0; i < this.objects.Count; i++)
            {
                for (int j = i + 1; j < this.objects.Count; j++)
                {
                    if (BallObject.CheckCrash(this.objects[i], this.objects[j]))
                    {
                        this.objects[i].CheckBorder(this.pictureBox1.ClientRectangle);
                        this.objects[j].CheckBorder(this.pictureBox1.ClientRectangle);
                    }
                }
            }

            this.pictureBox1.Invalidate();
        }

        private void cbTimer_CheckedChanged(object sender, EventArgs e)
        {
            this.timer1.Enabled = this.cbTimer.Checked;
        }
    }
}
